/***
*rs232c.h - ֘A萔̒`yуCũvg^Cv錾
*
*	Copyright (c) 1992-97, Y.Akagawa.
*
*
****/

#ifndef _INC_RS232C

#define FC_NONE         0x00
#define FC_DTRDSR       0x01
#define FC_RTSCTS       0x02
#define FC_RXONXOFF     0x04
#define FC_SXONXOFF     0x08

#ifndef MCD
	/* character size initializers */

	#define CHR_7		0x08	/* 7 bits characters */
	#define CHR_8		0x0C	/* 8 bits characters */

	/* stop bit values - on or off */

	#define STOP_1		0x40	/* 1 stop bit */
	#define STOP_2		0xC0	/* 2 stop bit */

	/*  parity initializers */

	#define PARITY_NONE		0x00	/* no parity */
	#define PARITY_ODD		0x10	/* odd parity */
	#define PARITY_EVEN		0x30	/* even parity */

	/*  baud rate initializers */

	#define BPS_75			0x00	/* 75 bps */
	#define BPS_150			0x01	/* 150 bps */
	#define BPS_300			0x02	/* 300 bps */
	#define BPS_600			0x03	/* 600 bps */
	#define BPS_1200		0x04 	/* 1200 bps */
	#define BPS_2400		0x05 	/* 2400 bps */
	#define BPS_4800		0x06 	/* 4800 bps */
	#define BPS_9600		0x07 	/* 9600 bps */
	#define BPS_19200		0x08 	/* 19200 bps */
	#define BPS_38400		0x09 	/* 38400 bps */

	#define XFLOW_OFF		0x00	/* Disable X-Flow */
	#define XFLOW_ON		0x01	/* Enable X-Flow */
#else
	/* character size initializers */

	#define CHR_7		7		/* 7 bits characters */
	#define CHR_8		8		/* 8 bits characters */

	/* stop bit values - on or off */

	#define STOP_1		1		/* 1 stop bit */
	#define STOP_2		2		/* 2 stop bit */

	/*  parity initializers */

#ifndef PARITY_NONE
	#define PARITY_NONE		0x00	/* no parity */
	#define PARITY_ODD		0x01	/* odd parity */
	#define PARITY_EVEN		0x02	/* even parity */
#endif

	/*  baud rate initializers */

	#define BPS_75			75		/* 75 bps */
	#define BPS_150			150		/* 150 bps */
	#define BPS_300			300		/* 300 bps */
	#define BPS_600			600		/* 600 bps */
	#define BPS_1200		1200 	/* 1200 bps */
	#define BPS_2400		2400 	/* 2400 bps */
	#define BPS_4800		4800 	/* 4800 bps */
	#define BPS_9600		9600 	/* 9600 bps */
	#define BPS_19200		19200 	/* 19200 bps */
	#define BPS_38400		38400 	/* 38400 bps */

	#define XFLOW_OFF		0x00	/* Disable X-Flow */
	#define XFLOW_ON		0x01	/* Enable X-Flow */
#endif

int rs_init( int, int, int, int, int );
int getaux( void );
int putaux( int );
int checkaux( void );


#define _INC_RS232C
#endif
